# Suppress vulnerability Suppress vulnerability for component version(s). System administrator only has permission for global suppression, while Developer/Security contact have permission for project-specific suppression.Note: For GLOBAL level suppression, providing suppression details is not necessary. These details are only required for PROJECT level suppression and will be ignored if provided in the GLOBAL scope. - The default value for the Suppression Scope will be considered GLOBAL if left empty. Endpoint: POST /vulnerability/suppress Version: v1 Security: bearerAuth ## Request fields (application/json): - `componentId` (integer, required) componentId Example: 1 - `versionIds` (array) versionIds - `vulnerabilityName` (string, required) vulnerabilityName Example: "Vulnerability Name" - `reason` (string, required) reason Example: "FALSE_POSITIVE|REMEDIATED|OTHER" - `remarks` (string, required) remarks Example: "Remarks to Suppress Vulnerability" - `versionScope` (string, required) versionScope Example: "SPECIFIC_VERSIONS|ALL_CURRENT_VERSIONS" - `suppressionScope` (string, required) suppressionScope Example: "GLOBAL|PROJECT" - `suppressionDetails` (object) suppressionDetails - `suppressionDetails.projectId` (integer) projectId Example: 123 - `suppressionDetails.state` (string, required) state Example: "RESOLVED|RESOLVED_WITH_PEDIGREE|EXPLOITABLE|IN_TRIAGE|FALSE_POSITIVE" - `suppressionDetails.justification` (string, required) justification Example: "CODE_NOT_PRESENT|CODE_NOT_REACHABLE|REQUIRES_CONFIGURATION|REQUIRES_DEPENDENCY|REQUIRES_ENVIRONMENT|PROTECTED_BY_COMPILER|PROTECTED_AT_RUNTIME|PROTECTED_AT_PERIMETER|PROTECTED_BY_MITIGATING_CONTROL" - `suppressionDetails.response` (string, required) response Example: "CAN_NOT_FIX|WILL_NOT_FIX|UPDATE|ROLLBACK|WORKAROUND_AVAILABLE" ## Response 200 fields (application/json): - `componentId` (integer, required) componentId Example: 1 - `versionIds` (array) versionIds - `vulnerabilityName` (string, required) vulnerabilityName Example: "Vulnerability Name" - `reason` (string, required) reason Example: "FALSE_POSITIVE|REMEDIATED|OTHER" - `remarks` (string, required) remarks Example: "Remarks to Suppress Vulnerability" - `versionScope` (string, required) versionScope Example: "SPECIFIC_VERSIONS|ALL_CURRENT_VERSIONS" - `suppressionScope` (string, required) suppressionScope Example: "GLOBAL|PROJECT" - `suppressionDetails` (object) suppressionDetails - `suppressionDetails.projectId` (integer) projectId Example: 123 - `suppressionDetails.state` (string, required) state Example: "RESOLVED|RESOLVED_WITH_PEDIGREE|EXPLOITABLE|IN_TRIAGE|FALSE_POSITIVE" - `suppressionDetails.justification` (string, required) justification Example: "CODE_NOT_PRESENT|CODE_NOT_REACHABLE|REQUIRES_CONFIGURATION|REQUIRES_DEPENDENCY|REQUIRES_ENVIRONMENT|PROTECTED_BY_COMPILER|PROTECTED_AT_RUNTIME|PROTECTED_AT_PERIMETER|PROTECTED_BY_MITIGATING_CONTROL" - `suppressionDetails.response` (string, required) response Example: "CAN_NOT_FIX|WILL_NOT_FIX|UPDATE|ROLLBACK|WORKAROUND_AVAILABLE" ## Response 400 fields ## Response 401 fields ## Response 500 fields